Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 258668 - app-editors/gedit: elibtoolize called before eautoreconf
Summary: app-editors/gedit: elibtoolize called before eautoreconf
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2009-02-12 02:07 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-03-08 22:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-02-12 02:07:58 UTC
>>> Unpacking gedit-2.24.3.tar.bz2 to /var/tmp/portage/app-editors/gedit-2.24.3/work
 * Fixing OMF Makefiles ...                                                                                                        [ ok ]
 * Running elibtoolize in: gedit-2.24.3
 *   Applying portage-1.5.10.patch ...
 *   Applying sed-1.5.6.patch ...
 * Applying gedit-2.22.1-fix-libtool-2.2.patch ...                                                                                 [ ok ]
rm: cannot remove `m4/lt*': No such file or directory
rm: cannot remove `m4/libtool.m4': No such file or directory
 * Running eautoreconf in '/var/tmp/portage/app-editors/gedit-2.24.3/work/gedit-2.24.3' ...
 * Running aclocal -I m4 ...                                                                                                       [ ok ]
 * Running libtoolize --copy --force --install --automake ...                                                                      [ ok ]
 * Running aclocal -I m4 ...                                                                                                       [ ok ]
 * Running autoconf ...                                                                                                            [ ok ]
 * Running autoheader ...                                                                                                          [ ok ]
 * Running automake --add-missing --copy ...                                                                                       [ ok ]


It should never call elibtoolize before eautoreconf or elibtoolize would be just ignored. Please correct the situation (and if you can, similar situations as well!).
Comment 1 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-02-26 21:03:28 UTC
This will be the case in every (eapi < 2) gnome ebuild that run eautoreconf, since gnome2_src_unpack run elibtoolize().  Probably not fixable in eapi < 2.
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-03-08 22:25:41 UTC
Hum I think it was something I made but I can't seem to find an elibtoolize call in gedit ebuilds anymore so I'm just going to close this bug. Please reopen if there is a misunderstanding and/or the bug isn't fixed.